Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.registries.users.list(
registry_id=0,
project_id=0,
region_id=0,
)
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Registries.Users.List(
context.TODO(),
0,
cloud.RegistryUserListParams{
ProjectID: gcore.Int(0),
RegionID: gcore.Int(0),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/cloud/v1/registries/{project_id}/{region_id}/{registry_id}/users \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/registries/{project_id}/{region_id}/{registry_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"created_at": "2024-06-18T09:36:53.335000Z",
"duration": 14,
"expires_at": "2024-06-18T09:36:53.335000Z",
"id": 1,
"name": "user1",
"read_only": false
}
]
}Registry
List registry users
List all users with access to the container registry.
GET
/
cloud
/
v1
/
registries
/
{project_id}
/
{region_id}
/
{registry_id}
/
users
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.registries.users.list(
registry_id=0,
project_id=0,
region_id=0,
)
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Registries.Users.List(
context.TODO(),
0,
cloud.RegistryUserListParams{
ProjectID: gcore.Int(0),
RegionID: gcore.Int(0),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Region ID
Registry ID
Query Parameters
Limit the number of returned items
Offset value is used to exclude the first set of records from the result
⌘I